Bug 859539 - garbage on screen during boot
garbage on screen during boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 15:23 EDT by Bill Nottingham
Modified: 2014-03-16 23:32 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:15:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.62 MB, image/png)
2012-09-21 15:24 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2012-09-21 15:23:26 EDT
Description of problem:

Could be systemd, could be dracut, could be the kbd tools, I suppose it even could be legacy crud from grub.

On boot, at some point, all of the whitespace on the screen, and some of the text, is changed to garbage characters. This happens before the DRM driver is loaded, and before the plymouth theme starts (both of these clear the display).

Happens with & without nomodeset.

Version-Release number of selected component (if applicable):

systemd-188-3.fc18.x86_64
dracut-023-39.git20120910.fc18.x86_64

How reproducible:

100%

Steps to Reproduce:
1. boot
Comment 1 Bill Nottingham 2012-09-21 15:24:18 EDT
Created attachment 615581 [details]
screenshot

Here's a screencap from a video of the boot - the change in color halfway through the screen is an artifact of taking a still frame of the video.
Comment 2 Jóhann B. Guðmundsson 2012-09-21 15:38:24 EDT
Spotted the Keytable warning but it went away either when I installed the latest kernel from koji and or when I ran grub2-mkconfig to regenerate grub menu. 

You can install ( or reinstall ) the latest kernel from koji and regenerate the grub menu to see if it fixes this issue.
Comment 3 Bill Nottingham 2012-09-21 16:50:04 EDT
Did you see the corruption as well, or just the keytable warning?

Regenerated grub2 config, it didn't appear to change the behavior with respect to the font(?) corruption. Happens both with F17 kernel and current F18 kernel.
Comment 4 Jóhann B. Guðmundsson 2012-09-21 17:12:52 EDT
I only saw the keytable warning no font corruption
Comment 5 Jóhann B. Guðmundsson 2012-09-21 17:15:22 EDT
uhum not the FONT warning or the corruption
Comment 6 Lennart Poettering 2012-09-24 19:12:32 EDT
systemd doesn't actually interface with the kernel when loading keymaps/fonts. This is done via loadfont from kbd. The garbage problem is somewhere between kbd and the kernel. Reassigning.
Comment 7 Fedora End Of Life 2013-12-21 03:54:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 07:15:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.